com.genesyslab.wfm8.API.service.schedule852

## Class SchStateID

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchStateID

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateID
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State identifier. Every schedule state can be identified by the pair: Type + ID
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmRefId` Secondary ID
    `protected int` | `wmRefType` Type of Secondary ID `ESchRefType`
    `protected int` | `wmStateId` State ID
    `protected int` | `wmStateType` State type `ESchStateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateID()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmRefId()` Gets the value of the wmRefId property.
    `int` | `getWmRefType()` Gets the value of the wmRefType property.
    `int` | `getWmStateId()` Gets the value of the wmStateId property.
    `int` | `getWmStateType()` Gets the value of the wmStateType property.
    `int` | `hashCode()`
    `void` | `setWmRefId(int value)` Sets the value of the wmRefId property.
    `void` | `setWmRefType(int value)` Sets the value of the wmRefType property.
    `void` | `setWmStateId(int value)` Sets the value of the wmStateId property.
    `void` | `setWmStateType(int value)` Sets the value of the wmStateType property.
    `java.lang.String` | `toString()`
    `SchStateID` | `withWmRefId(int value)`
    `SchStateID` | `withWmRefType(int value)`
    `SchStateID` | `withWmStateId(int value)`
    `SchStateID` | `withWmStateType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateType

          protected int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          protected int wmStateId

      State ID

    - #### wmRefType

          protected int wmRefType

      Type of Secondary ID `ESchRefType`

    - #### wmRefId

          protected int wmRefId

      Secondary ID

  - ### Constructor Detail

    - #### SchStateID

          public SchStateID()

  - ### Method Detail

    - #### getWmStateType

          public int getWmStateType()

      Gets the value of the wmStateType property.

    - #### setWmStateType

          public void setWmStateType(int value)

      Sets the value of the wmStateType property.

    - #### getWmStateId

          public int getWmStateId()

      Gets the value of the wmStateId property.

    - #### setWmStateId

          public void setWmStateId(int value)

      Sets the value of the wmStateId property.

    - #### getWmRefType

          public int getWmRefType()

      Gets the value of the wmRefType property.

    - #### setWmRefType

          public void setWmRefType(int value)

      Sets the value of the wmRefType property.

    - #### getWmRefId

          public int getWmRefId()

      Gets the value of the wmRefId property.

    - #### setWmRefId

          public void setWmRefId(int value)

      Sets the value of the wmRefId property.

    - #### withWmStateType

          public SchStateID withWmStateType(int value)

    - #### withWmStateId

          public SchStateID withWmStateId(int value)

    - #### withWmRefType

          public SchStateID withWmRefType(int value)

    - #### withWmRefId

          public SchStateID withWmRefId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.